<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<dom-module id="cuenta-clicks">
    <template>
        <style>
            :host {
                display: block;
                padding: 5px;
                border: 1px solid rgb(235, 150, 5);
                margin-bottom: 5px;
            }

            p {
                margin-top: 0;
                padding: 5px;
                background-color: rgb(39, 34, 28);
                color: white;
            }
        </style>
        <p>
            Llevas [[contador]] clics
        </p>
        <button on-click="incrementaClic">Clic para contar</button>
        <button on-click="resetear">Resetear la cuenta</button>
    </template>
    <script>
        class CuentaClicks extends Polymer.Element {
            static get is() {
                return 'cuenta-clicks';
            }
            static get properties() {
                return {
                    contador: {
                        type: Number,
                        value: 0
                    }
                }
            }
            constructor() {
                super();
            }
            incrementaClic(e) {
                this.contador++;
                console.log('Objeto evento', e)
            }
            resetear() {
                this.contador = 0;
            }
        }
        window.customElements.define(CuentaClicks.is, CuentaClicks);
    </script>
</dom-module>